## beanquery 0.2.0

=== requirements.txt ===
beancount >=2.3.4
click >7.0
python-dateutil >=2.6.0
tatsu >=5.7.4, <5.8.0

## beanquery 0.1.0

=== debian/changelog ===
beanquery (0.1.0-4) unstable; urgency=medium

  * debian/patches/0001-pyproject.toml-Correct-package-discovery.patch:
    Really fix last commit.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 16:34:07 -0500

beanquery (0.1.0-3) unstable; urgency=medium

  * debian/control: Add Replaces + Breaks against beancount (<< 3.0).
    (Closes: #1092767)
  * debian/rules: Remove /usr/lib/python3/dist-packages/docs
    post installation. This directory should not be installed.
    (Closes: #1092768)

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 16:21:18 -0500

beanquery (0.1.0-2) unstable; urgency=medium

  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 14:17:45 -0500

beanquery (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1092551)

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2025 15:46:16 -0500

=== debian/control ===
Source: beanquery
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 beancount,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-click,
 python3-dateutil,
 python3-tatsu,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/beancount/beanquery
Vcs-Git: https://salsa.debian.org/python-team/packages/beanquery.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/beanquery
Rules-Requires-Root: no
Description: Customizable lightweight SQL query tool
 Beanquery is a customizable and extensible lightweight SQL query tool that
 works on tabular data, including Beancount ledger data.

Package: python3-beanquery
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 beanquery,
Enhances:
 beancount,
Breaks:
 beancount (<< 3.0),
Replaces:
 beancount (<< 3.0),
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}

## beanquery 0.1.0%2Bgit20250127

=== debian/changelog ===
beanquery (0.1.0+git20250127-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100197).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 17:03:11 +0000

beanquery (0.1.0+git20250127-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: Update build-dep: use python3-tatsu-lts.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 14:31:03 -0500

## beanquery 0.1.0+git20250127

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3,
  python3-click,
  python3-dateutil,
- python3-tatsu,
+ python3-tatsu-lts,
  python3-pytest <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://github.com/beancount/beanquery

## beanquery 0.2.0

=== debian/changelog ===
beanquery (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * render: Work around backward incompatible change in Beancount master
    (closes: #1117386).
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Oct 2025 01:46:07 +0100

beanquery (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Mar 2025 15:29:26 -0400

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
  python3,
  python3-click,
  python3-dateutil,
+ python3-setuptools,
  python3-tatsu-lts,
  python3-pytest <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/beancount/beanquery
 Vcs-Git: https://salsa.debian.org/python-team/packages/beanquery.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beanquery

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = beanquery

%:
	dh $@ --buildsystem=pybuild
